MetadataGeneratingMetaClassCreationHandle (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.documentation

## [Java] Class MetadataGeneratingMetaClassCreationHandle

- org.codehaus.groovy.grails.documentation.MetadataGeneratingMetaClassCreationHandle

- Used to enable the Metadata generating EMC creation handle.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class groovy.lang.ExpandoMetaClassCreationHandle` | `instance`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected groovy.lang.MetaClass` | `createNormalMetaClass(java.lang.Class theClass, groovy.lang.MetaClassRegistry registry)`
    `static void` | `disable()`
    `static void` | `enable()` Enables the ExpandoMetaClassCreationHandle with the registry.
    `boolean` | `hasModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)`
    `static boolean` | `isExcludedClass(java.lang.Class<?> theClass)`
    `void` | `registerModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)` Registers a modified ExpandoMetaClass with the creation handle

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.ExpandoMetaClassCreationHandle` | `groovy.lang.ExpandoMetaClassCreationHandle#enable(), groovy.lang.ExpandoMetaClassCreationHandle#disable(), groovy.lang.ExpandoMetaClassCreationHandle#registerModifiedMetaClass(groovy.lang.ExpandoMetaClass), groovy.lang.ExpandoMetaClassCreationHandle#hasModifiedMetaClass(groovy.lang.ExpandoMetaClass), groovy.lang.ExpandoMetaClassCreationHandle#create(java.lang.Class, groovy.lang.MetaClassRegistry), groovy.lang.ExpandoMetaClassCreationHandle#isDisableCustomMetaClassLookup(), groovy.lang.ExpandoMetaClassCreationHandle#setDisableCustomMetaClassLookup(boolean), groovy.lang.ExpandoMetaClassCreationHandle#wait(long, int), groovy.lang.ExpandoMetaClassCreationHandle#wait(long), groovy.lang.ExpandoMetaClassCreationHandle#wait(), groovy.lang.ExpandoMetaClassCreationHandle#equals(java.lang.Object), groovy.lang.ExpandoMetaClassCreationHandle#toString(), groovy.lang.ExpandoMetaClassCreationHandle#hashCode(), groovy.lang.ExpandoMetaClassCreationHandle#getClass(), groovy.lang.ExpandoMetaClassCreationHandle#notify(), groovy.lang.ExpandoMetaClassCreationHandle#notifyAll()`
    `class groovy.lang.MetaClassRegistry$MetaClassCreationHandle` | `groovy.lang.MetaClassRegistry$MetaClassCreationHandle#create(java.lang.Class, groovy.lang.MetaClassRegistry), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#isDisableCustomMetaClassLookup(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#setDisableCustomMetaClassLookup(boolean), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#wait(long, int), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#wait(long), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#wait(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#equals(java.lang.Object), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#toString(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#hashCode(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#getClass(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#notify(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#notifyAll()`

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override protected groovy.lang.MetaClass createNormalMetaClass(java.lang.Class theClass, groovy.lang.MetaClassRegistry registry)

    - #### public static void disable()

    - #### @java.lang.Deprecated public static void enable()

      Enables the ExpandoMetaClassCreationHandle with the registry. `ExpandoMetaClassCreationHandle.enable();`

      deprecated:
        Dynamic document generation no longer supported

    - #### @java.lang.Override public boolean hasModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)

    - #### public static boolean isExcludedClass(java.lang.Class<?> theClass)

    - #### @java.lang.Override public void registerModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)

      Registers a modified ExpandoMetaClass with the creation handle

      Parameters:
        `emc` - The EMC